Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartModel

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              org.musoft.limo.model.Model
                  edu.udo.cs.miningmart.gui.model.MiningMartModel

Direct Known Subclasses:
  MiningMartCase, MiningMartChain

    public abstract class MiningMartModel

extends org.musoft.limo.model.Model

Author:
  Timm Euler Abstract superclass for MiningMartCase and MiningMartChain. It deals with the handling of the M4 documentation.

Field Summary
`static boolean` | `mayChangeDocumentation`

Constructor Summary
`MiningMartModel(java.lang.String s)`
`MiningMartModel(java.lang.String s, java.awt.Rectangle r, org.musoft.limo.model.ModelFigureElement mfe)`

Method Summary
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartCase` changed then set the documentation of the underlying `M4Data` object.

Methods inherited from class org.musoft.limo.model.Model
`addConnection, canAddChild, canRemoveChild, changed, destroy, getChildOrConnection, getConnection, getConnection, getConnectionCount, getConnections, getDirty, getElement, getRootModel, getValidConnectionName, indexOfConnection, indexOfConnection, removeConnection, removeConnection, setDirty`

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canSetBounds, canSetName, canSetParent, canSetPosition, clear, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildren, getChildren, getChildren, getCorner, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setBounds, setCenter, setIndex, setParent, setPosition, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, canDestroy, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, getName, getType, indexOfAttribute, removeListener, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mayChangeDocumentation

    public static boolean mayChangeDocumentation

Constructor Detail

### MiningMartModel

    public MiningMartModel(java.lang.String s,
                           java.awt.Rectangle r,
                           org.musoft.limo.model.ModelFigureElement mfe)

### MiningMartModel

    public MiningMartModel(java.lang.String s)

Method Detail

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartCase` changed then set the documentation of the underlying `M4Data` object.

  Overrides:
    `primitiveAttributeChanged` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005